/* -*- coding: utf-8 -*- */
/** \file oneOPiQuotations.js
 * (October 25, 2015)
 *
 * \brief
 * JavaScript functions to init sharing buttons.
 *
 * Piece of OPiQuotations.
 * https://bitbucket.org/OPiMedia/opiquotations
 *
 * GPLv3 --- Copyright (C) 2014, 2015 Olivier Pirson
 * http://www.opimedia.be/
 */

/**
 * \brief
 * Polyfill addEventListener().
 *
 * @param String event
 * @param function func
 */
function opi_addEventListener(event, func) {
    "use strict";

    if (window.addEventListener) {
        window.addEventListener(event, func);
    } else if (window.attachEvent) {  // old IE
        window.attachEvent('on' + event, func);
    }
}



/**
 * \brief
 * Initializations.
 */
(function () {
    "use strict";

    // Facebook sharing button
    window.fbAsyncInit = function () {
        FB.init({appId:   '164818953866160',
                 xfbml:   true,
                 version: 'v2.5'
                });
    };


    // Onload
    opi_addEventListener('load', function () {
        // Google+ sharing button
        if (typeof gapi !== 'undefined') {
            gapi.plus.go(document.getElementById('sharing-global'));
        }
    });
}());
