<?php  namespace OPiQuotations; class OPiQuotation { public function __construct($id, $text, $is_maxim=false, $is_marked=false, $translation=null, $subject=null, $nation_author=null, $work=null) { $this->id = $id; $this->text = $text; $this->maxim = $is_maxim; $this->marked = $is_marked; $this->translation = $translation; $this->subject = $subject; if ($is_maxim) { $this->nation = $nation_author; } else { $this->author = $nation_author; $this->work = $work; } } private static function _format_correct_html($s) { $s = preg_replace('/<(b|c|i|sub|sup|\/b|\/c|\/i|\/sub|\/sup)>/', '@@@#$1#@@@', $s); $s = htmlspecialchars($s); $s = preg_replace('/@@@#(b|i|sub|sup|\/b|\/i|\/sub|\/sup)#@@@/', '<$1>', $s); $s = preg_replace('/@@@#c#@@@/', '<span class="block-center">', $s); $s = preg_replace('/@@@#c#@@@/', '<span class="block-center">', $s); $s = preg_replace('/@@@#\/c#@@@\n?/', '</span>', $s); $s = preg_replace('/¨(.+)\n?/', '<span class="block-right">$1</span>', $s); $s = preg_replace('/« /', '«&nbsp;', $s); $s = preg_replace('/ (»|!|\?)/', '&nbsp;$1', $s); $s = preg_replace('/ (:|;)/', '<span class="nowrap">&thinsp;$1</span>', $s); $s = preg_replace('/(^|\n)  /', '$1&emsp;&emsp;', $s); $s = preg_replace('/  /', '&nbsp;&nbsp;', $s); $s = preg_replace('/(^|\n) /', '&nbsp;', $s); $s = preg_replace('/\n/', '<br>', $s); return $s; } private static function _highlight_html($s, $search=null) { if ($search !== null && $search !== '') { $search = preg_replace('/\n/', '<br>', $search); $pieces = preg_split('/(<.+?()>|&.+?;)/', $s, -1, PREG_SPLIT_DELIM_CAPTURE); foreach ($pieces as &$piece) { if ((preg_match('/^<.+>$/', $piece) !== 1) && (preg_match('/^&.+;$/', $piece)) !== 1) { $piece = preg_replace('/('.preg_quote($search, '/').')/i', '<span class="highlight">$1</span>', $piece); } } return implode($pieces); } else { return $s; } } public function author() { return ($this->maxim ? null : $this->author); } public function id() { return $this->id; } public function is_maxim() { return $this->maxim; } public function is_marked() { return $this->marked; } public function nation() { return ($this->maxim ? $this->nation : null); } public function subject() { return $this->subject; } public function text() { return $this->text; } public function to_html($search=null, $add_link=true, $link_target=null, $subject_tag='h2', $uneOPiCitation_link='uneOPiCitation.php') { $link_target = ($link_target ? ' target="'.$link_target.'"' : ''); $is_marked = ($this->is_marked() ? ' marked' : ''); $a = array($this->is_maxim() ? '<section id="maxim-'.$this->id().'" class="maxim'.$is_marked.'">' : '<section id="quotation-'.$this->id().'" class="quotation'.$is_marked.'">'); unset($is_marked); $a[] = '  <header>'; if ($this->is_marked()) { $a[] = '    <div class="mark"></div>'; } $a[] = '    <div class="id">'.($add_link ? ('<a href="./?id='.$this->id().'"'.$link_target.'>'.$this->id() .'</a><a href="'.$uneOPiCitation_link.'?id='.$this->id() .'" target="_blank">&#8599;&#10102;</a>') : $this->id()).'</div>'; if ($this->subject() !== null) { $html = $this->_highlight_html(htmlspecialchars($this->subject()), $search); $a[] = '    <'.$subject_tag.' class="subject">'.($add_link ? '<a href="./?subject='.rawurlencode($this->subject()).'"'.$link_target.'>'.$html.'</a>' : $html).'</'.$subject_tag.'>'; } $a[] = '  </header>'; if ($this->translation() === null) { $a[] = '  <div class="text"><cite>'.$this->_highlight_html($this->_format_correct_html($this->text()), $search).'</cite></div>'; } else { $a[] = '  <div class="text_translation">
    <div class="text"><cite>'.$this->_highlight_html($this->_format_correct_html($this->text()), $search).'</cite></div>
    <div class="translation"><cite>'.$this->_highlight_html($this->_format_correct_html($this->translation()), $search).'</cite></div>
    <div class="clear"></div>
  </div>'; } $a[] = '  <footer>'; if ($this->is_maxim()) { if ($this->nation() !== null) { $html = $this->_highlight_html(htmlspecialchars($this->nation()), $search); $a[] = '    <div class="nation">'.($add_link ? '<a href="./?nation='.rawurlencode($this->nation()).'"'.$link_target.'>nation '.$html.'</a>' : 'nation '.$html).'</div>'; } } else { if ($this->author() !== null) { $html = $this->_highlight_html(htmlspecialchars($this->author()), $search); $a[] = '    <div class="author">'.($add_link ? '<a href="./?author='.rawurlencode($this->author()).'"'.$link_target.'>'.$html.'</a>' : $html).'</div>'; } if ($this->work() !== null) { $html = $this->_highlight_html(htmlspecialchars($this->work()), $search); $a[] = '    <div class="work">'.($add_link ? '<a href="./?work='.rawurlencode($this->work()).'"'.$link_target.'>'.$html.'</a>' : $html).'</div>'; } } $a[] = '  </footer>'; $a[] = '</section>
'; return implode('
', $a); } public function to_text() { $quot = trim($this->text()); $quot = preg_replace('/<(b|c|i|sub|sup|\/b|\/c|\/i|\/sub|\/sup)>/', '', $quot); $quot = preg_replace('/¨/', '', $quot); $quot = '"'.$quot.'"'; if ($this->is_maxim()) { if ($this->nation() !== null) { $quot .= '
(nation '.$this->nation().')'; } } else { if ($this->author() !== null) { if ($this->work() !== null) { $quot .= '
('.$this->author().'/
'.$this->work().')'; } else { $quot .= '
('.$this->author().')'; } } else if ($this->work() !== null) { $quot .= '
('.$this->work().')'; } } return $quot; } public function to_text_facebook($url='') { $quot = $this->to_text(); if ($url !== '') { $url = '
'.$url; } return $quot.$url; } public function to_text_twitter($url=null, $short_url_length=null, $max_length=140) { $quot = $this->to_text(); if ($url !== null) { if ($short_url_length === null) { $short_url_length = mb_strlen($url); } $max_length -= 1 + $short_url_length; $url = '
'.$url; } return text_cut($quot, $max_length).$url; } public function translation() { return $this->translation; } public function work() { return ($this->maxim ? null : $this->work); } protected $author; protected $id; protected $is_marked; protected $is_maxim; protected $nation; protected $subject; protected $text; protected $translation; protected $work; } return TRUE; ?>