<?php  namespace OPiQuotations; function html_text_cut($html_text, $max_length, $hellip='…', $reduce=true) { if (mb_strlen($html_text) > $max_length) { $html_text = text_cut($html_text, $max_length, $hellip, $reduce); $i = mb_strrpos($html_text, '&'); if (($i !== false) && (mb_strrpos($html_text, ';', $i + 1) === false)) { $html_text = mb_substr($html_text, 0, $i).$hellip; } } return $html_text; } function text_cut($text, $max_length, $hellip='…', $reduce=true) { if (mb_strlen($text) > $max_length) { if ($reduce) { $text = preg_replace('/\s*\n\s*/', '
', $text); $text = preg_replace('/[ \t\r\f]+/', ' ', $text); } $text = mb_substr($text, 0, $max_length - mb_strlen($hellip)).$hellip; } return $text; } class OPiQuotations { public function __construct() { require_once 'OPiQuotations/Db.inc'; require_once 'OPiQuotations/.private/db_login.inc'; $this->db = new Db($db_host, $db_user, $db_password, $db_name); } public function list_authors() { return $this->db->list_to_assoc('author'); } public function list_nations() { return $this->db->list_to_assoc('nation'); } public function list_subjects() { return $this->db->list_to_assoc('subject'); } public function list_works() { return $this->db->list_to_assoc('work'); } public function nb($is_maxim=null) { return $this->db->nb($is_maxim); } public function quotation_by_id($id) { if ($id <= 0) { return null; } $quots = $this->db->query_quotations('WHERE `id`='.(int)$id.''); return (empty($quots) ? null : $quots[0]); } public function quotations_all() { return $this->db->query_quotations('', 'ORDER BY `text_stripped` COLLATE utf8_unicode_ci'); } public function quotations_all_marked() { return $this->db->query_quotations('WHERE `is_marked`', 'ORDER BY `text_stripped` COLLATE utf8_unicode_ci'); } public function quotations_by_author($author) { return $this->db->query_quotations('WHERE NOT `is_maxim` AND `author` LIKE \'%'.$this->db->escape($author).'%\' COLLATE utf8_unicode_ci', 'ORDER BY `author`, `text_stripped` COLLATE utf8_unicode_ci'); } public function quotations_by_ids($ids) { foreach($ids as &$id) { settype($id, 'int'); } return (empty($ids) ? array() : $this->db->query_quotations('WHERE `id` IN ('.implode(',', $ids).')')); } public function quotations_by_nation($nation) { return $this->db->query_quotations('WHERE `is_maxim` AND `nation` LIKE \'%'.$this->db->escape($nation).'%\' COLLATE utf8_unicode_ci', 'ORDER BY `nation`, `text_stripped` COLLATE utf8_unicode_ci'); } public function quotations_by_random($nb=1, $label=null) { if ($label === null) { return $this->db->query_quotations('', 'ORDER BY RAND() LIMIT '.(int)$nb); } else { $label = $this->db->escape($label); $quots = $this->db->query_quotations('WHERE `id` NOT IN (SELECT `quotation_id` FROM `_selected_label` WHERE `label` = \''.$label.'\')', 'ORDER BY RAND() LIMIT '.(int)$nb); if (!empty($quots)) { $query = array(); foreach ($quots as $quot) { $query[] = '('.$quot->id().', \''.$label.'\', UTC_TIMESTAMP())'; } $query = 'INSERT INTO `_selected_label` (`quotation_id`, `label`, `datetime_utc`) VALUES
'.implode(',
', $query).';'; $this->db->query_insert($query); } return $quots; } } public function quotations_by_subject($subject) { return $this->db->query_quotations('WHERE `subject` LIKE \'%'.$this->db->escape($subject).'%\' COLLATE utf8_unicode_ci', 'ORDER BY `subject`, `text_stripped` COLLATE utf8_unicode_ci'); } public function quotations_by_text($text) { return $this->db->query_quotations('WHERE `text` LIKE \'%'.$this->db->escape($text).'%\' COLLATE utf8_unicode_ci', 'ORDER BY `text_stripped` COLLATE utf8_unicode_ci'); } public function quotations_by_translation($translation) { return $this->db->query_quotations('WHERE `translation` LIKE \'%'.$this->db->escape($translation).'%\' COLLATE utf8_unicode_ci', 'ORDER BY `translation_stripped` COLLATE utf8_unicode_ci'); } public function quotations_by_work($work) { return $this->db->query_quotations('WHERE NOT `is_maxim` AND `work` LIKE \'%'.$this->db->escape($work).'%\' COLLATE utf8_unicode_ci', 'ORDER BY `work`, `text_stripped` COLLATE utf8_unicode_ci'); } protected $db; } return TRUE; ?>